com.brightcove.player.model

## Class StyledElement

- java.lang.Object
- - com.brightcove.player.model.Element
  - - com.brightcove.player.model.StyledElement

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    Block, Region, Span

      public class StyledElement
      extends Element

  Provides a common representation for TTML styled elements. http://www.w3.org/TR/ttaf1-dfxp/#styling
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StyledElement.FontStyle`
    `static class` | `StyledElement.FontWeight`
    `static class` | `StyledElement.TextAlign`
    `static class` | `StyledElement.TextDecoration`
    `static class` | `StyledElement.Unit`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `backgroundColor` The background color string.
    `protected java.lang.String` | `color` The color string.
    `protected java.lang.String` | `fontFamily`
    `protected Length` | `fontSize`
    `protected StyledElement.FontStyle` | `fontStyle`
    `protected StyledElement.FontWeight` | `fontWeight`
    `protected java.lang.String` | `styleName` The style name string.
    `protected StyledElement.TextAlign` | `textAlign`
    `protected StyledElement.TextDecoration` | `textDecoration`

    - ### Fields inherited from class com.brightcove.player.model.Element

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StyledElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBackgroundColor()` The background color string.
    `java.lang.String` | `getColor()` The color string.
    `java.lang.String` | `getFontFamily()`
    `Length` | `getFontSize()`
    `StyledElement.FontStyle` | `getFontStyle()`
    `StyledElement.FontWeight` | `getFontWeight()`
    `java.lang.String` | `getStyleName()` The style name string.
    `StyledElement.TextAlign` | `getTextAlign()`
    `StyledElement.TextDecoration` | `getTextDecoration()`
    `void` | `setBackgroundColor(java.lang.String backgroundColor)` The background color string.
    `void` | `setColor(java.lang.String color)` The color string.
    `void` | `setFontFamily(java.lang.String fontFamily)`
    `void` | `setFontSize(Length fontSize)`
    `void` | `setFontStyle(StyledElement.FontStyle fontStyle)`
    `void` | `setFontWeight(StyledElement.FontWeight fontWeight)`
    `void` | `setStyleName(java.lang.String styleName)` The style name string.
    `void` | `setTextAlign(StyledElement.TextAlign textAlign)`
    `void` | `setTextDecoration(StyledElement.TextDecoration textDecoration)`

    - ### Methods inherited from class com.brightcove.player.model.Element

      `getID, setID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### styleName

          protected java.lang.String styleName

      The style name string.

    - #### color

          protected java.lang.String color

      The color string. @see http://www.w3.org/TR/ttaf1-dfxp/#style-value-color

    - #### backgroundColor

          protected java.lang.String backgroundColor

      The background color string. @see http://www.w3.org/TR/ttaf1-dfxp/#style-value-color

    - #### fontSize

          protected Length fontSize

      See Also:
        http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-fontSize

    - #### fontWeight

          protected StyledElement.FontWeight fontWeight

      See Also:
        http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-fontWeight

    - #### fontStyle

          protected StyledElement.FontStyle fontStyle

      See Also:
        http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-fontStyle

    - #### textDecoration

          protected StyledElement.TextDecoration textDecoration

      See Also:
        http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-textDecoration

    - #### textAlign

          protected StyledElement.TextAlign textAlign

      See Also:
        http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-textAlign

    - #### fontFamily

          protected java.lang.String fontFamily

  - ### Constructor Detail

    - #### StyledElement

          public StyledElement()

  - ### Method Detail

    - #### getStyleName

          public java.lang.String getStyleName()

      The style name string.

    - #### setStyleName

          public void setStyleName(java.lang.String styleName)

      The style name string.

    - #### getColor

          public java.lang.String getColor()

      The color string. @see http://www.w3.org/TR/ttaf1-dfxp/#style-value-color

    - #### setColor

          public void setColor(java.lang.String color)

      The color string. @see http://www.w3.org/TR/ttaf1-dfxp/#style-value-color

    - #### getBackgroundColor

          public java.lang.String getBackgroundColor()

      The background color string. @see http://www.w3.org/TR/ttaf1-dfxp/#style-value-color

    - #### setBackgroundColor

          public void setBackgroundColor(java.lang.String backgroundColor)

      The background color string. @see http://www.w3.org/TR/ttaf1-dfxp/#style-value-color

    - #### getFontSize

          public Length getFontSize()

      See Also:
        http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-fontSize

    - #### setFontSize

          public void setFontSize(Length fontSize)

      See Also:
        http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-fontSize

    - #### getFontStyle

          public StyledElement.FontStyle getFontStyle()

      See Also:
        http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-fontStyle

    - #### setFontStyle

          public void setFontStyle(StyledElement.FontStyle fontStyle)

      See Also:
        http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-fontStyle

    - #### getTextAlign

          public StyledElement.TextAlign getTextAlign()

      See Also:
        http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-textAlign

    - #### setTextAlign

          public void setTextAlign(StyledElement.TextAlign textAlign)

      See Also:
        http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-textAlign

    - #### getFontWeight

          public StyledElement.FontWeight getFontWeight()

      See Also:
        http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-fontWeight

    - #### setFontWeight

          public void setFontWeight(StyledElement.FontWeight fontWeight)

      See Also:
        http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-fontWeight

    - #### getTextDecoration

          public StyledElement.TextDecoration getTextDecoration()

      See Also:
        http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-textDecoration

    - #### setTextDecoration

          public void setTextDecoration(StyledElement.TextDecoration textDecoration)

      See Also:
        http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-textDecoration

    - #### setFontFamily

          public void setFontFamily(java.lang.String fontFamily)

      See Also:
        http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-fontFamily

    - #### getFontFamily

          public java.lang.String getFontFamily()

      See Also:
        http://www.w3.org/TR/ttaf1-dfxp/#style-attribute-fontFamily